summaryrefslogtreecommitdiff
path: root/contrib/reghunt/examples/30643.test
diff options
context:
space:
mode:
authorupstream source tree <ports@midipix.org>2015-03-15 20:14:05 -0400
committerupstream source tree <ports@midipix.org>2015-03-15 20:14:05 -0400
commit554fd8c5195424bdbcabf5de30fdc183aba391bd (patch)
tree976dc5ab7fddf506dadce60ae936f43f58787092 /contrib/reghunt/examples/30643.test
downloadcbb-gcc-4.6.4-554fd8c5195424bdbcabf5de30fdc183aba391bd.tar.bz2
cbb-gcc-4.6.4-554fd8c5195424bdbcabf5de30fdc183aba391bd.tar.xz
obtained gcc-4.6.4.tar.bz2 from upstream website;upstream
verified gcc-4.6.4.tar.bz2.sig; imported gcc-4.6.4 source tree from verified upstream tarball. downloading a git-generated archive based on the 'upstream' tag should provide you with a source tree that is binary identical to the one extracted from the above tarball. if you have obtained the source via the command 'git clone', however, do note that line-endings of files in your working directory might differ from line-endings of the respective files in the upstream repository.
Diffstat (limited to 'contrib/reghunt/examples/30643.test')
-rwxr-xr-xcontrib/reghunt/examples/30643.test26
1 files changed, 26 insertions, 0 deletions
diff --git a/contrib/reghunt/examples/30643.test b/contrib/reghunt/examples/30643.test
new file mode 100755
index 000000000..ba9b0e0ff
--- /dev/null
+++ b/contrib/reghunt/examples/30643.test
@@ -0,0 +1,26 @@
+#! /bin/sh
+
+ID=$1
+
+LOGID=`printf "%04d" ${ID}`
+LOG=${BUGID}.${LOGID}.out
+MSGID="bug ${BUGID}, id ${ID}"
+ASM=${BUGID}.${LOGID}.s
+
+$REG_TEST_COMPILER $REG_OPTS $REG_TESTCASE > ${LOG} 2>&1
+
+if [ $? -ne 0 ]; then
+ echo "`date` compilation failed unexpectedly for ${MSGID}"
+ exit REG_ERROR
+fi
+
+cp ${BUGID}.s $ASM
+
+grep -q abort $ASM
+if [ $? -eq 0 ]; then
+ echo "`date` abort call exists for ${MSGID}"
+ exit $REG_FAIL
+fi
+
+echo "`date` no call to abort for ${MSGID}"
+exit $REG_PASS